Skip to content
Pile
Esc
navigateopen⌘Jpreview

Update issue

PATCH/workspaces/{organizationId}/issues/{id}
Path parameters
organizationIdstringrequired
idstringrequired
Request body
application/json
titlestring
min length 1
teamIdstring
descriptionstring
statusstring
Allowed:triagebacklogtodoin_progressdonecanceled
prioritystring
Allowed:lowmediumhighurgent
resolutionstring | null
Allowed:duplicatenot_plannedintended_behaviornot_reproducibleobsoleteresolvednull
parentIdstring | null
subIssueSortOrdernumber | null
estimateinteger | null
min 0
isDraftboolean
templateIdstring
snoozedUntilstring | null
assigneeIdstring | null
projectIdstring
cycleIdstring
labelIdsstring[]
repostring
branchstring
Responses
200Issue updated
idstringrequired
organizationIdstringrequired
teamIdstringrequired
titlestringrequired
descriptionstring | nullrequired
statusstringrequired
Allowed:triagebacklogtodoin_progressdonecanceled
prioritystringrequired
Allowed:lowmediumhighurgent
resolutionstring | nullrequired
Allowed:duplicatenot_plannedintended_behaviornot_reproducibleobsoleteresolvednull
parentIdstring | nullrequired
subIssueSortOrdernumber | nullrequired
estimatenumber | nullrequired
isDraftbooleanrequired
snoozedUntilstring | nullrequired
assigneeIdstring | nullrequired
projectIdstring | nullrequired
cycleIdstring | nullrequired
labelIdsstring | nullrequired
numbernumber | nullrequired
identifierstring | nullrequired
repostring | nullrequired
branchstring | nullrequired
prUrlstring | nullrequired
prStatestring | nullrequired
prCheckStatestring | nullrequired
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Parameters
Bodyapplication/json
Request
curl -X PATCH "/workspaces/string/issues/string" \
  -H "Content-Type: application/json" \
  -d '{
  "title": "string",
  "teamId": "string",
  "description": "string",
  "status": "triage",
  "priority": "low",
  "resolution": "duplicate",
  "parentId": "string",
  "subIssueSortOrder": 0,
  "estimate": 0,
  "isDraft": true,
  "templateId": "string",
  "snoozedUntil": "string",
  "assigneeId": "string",
  "projectId": "string",
  "cycleId": "string",
  "labelIds": [
    "string"
  ],
  "repo": "string",
  "branch": "string"
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "teamId": "string",
  "title": "string",
  "description": "string",
  "status": "triage",
  "priority": "low",
  "resolution": "duplicate",
  "parentId": "string",
  "subIssueSortOrder": 0,
  "estimate": 0,
  "isDraft": true,
  "snoozedUntil": "string",
  "assigneeId": "string",
  "projectId": "string",
  "cycleId": "string",
  "labelIds": "string",
  "number": 0,
  "identifier": "string",
  "repo": "string",
  "branch": "string",
  "prUrl": "string",
  "prState": "string",
  "prCheckState": "string",
  "createdAt": "string",
  "updatedAt": "string"
}